%global pypi_name mlxtend

Name:           python-%pypi_name
Version:        0.23.1
Release:        1%{?dist}
Summary:        Mlxtend (machine learning extensions) is a Python library of useful tools for the day-to-day data science tasks

License:        BSD
URL:            https://github.com/rasbt/mlxtend
Source:         %{url}/archive/v%{version}/%pypi_name-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Mlxtend (machine learning extensions) is a Python library of useful tools for the day-to-day data science tasks.}

%description %_description

%package -n python3-%pypi_name
Summary:        %{summary}
Recommends:     python3-%pypi_name+dev

%description -n python3-%pypi_name %_description


%prep
%autosetup -p1 -n %pypi_name-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %pypi_name


%check
%tox

%files -n python3-%pypi_name -f %{pyproject_files}
%doc README.md paper.bib paper.md docs

%changelog
* Tue Aug 13 2024 José Matos <jamatos@fedoraproject.org> - 0.23.1-1
- Update to 0.23.1

* Tue Oct 10 2023 José Matos <jamatos@fedoraproject.org> - 0.23-1
- Update package and spec file

* Thu Oct 21 2021 José Matos <jamatos@fep.up.pt> - 1.0.2-1
- Initial package.
